★ TouchArcade needs your help. Click here to support us on Patreon.

How do you test for iOS 3.0

05-17-2012, 06:50 PM
Joined: Dec 2009
Location: Canada
Posts: 202
How do you test for iOS 3.0

I have an older game I released a few years ago, Staunch Defense, that runs on the older versions of iOS, namely 3.0. I want to update the app to fix a bug, but xcode 4 forces me to switch from straight GCC to an LLVM compiler. This is fine, but there doesn't seem to be any way to simulate iOS 3.0 anymore and I am worried that the game might stop working on it after the change and I won't know.
05-18-2012, 01:58 PM
Joined: Dec 2009
Location: Canada
Posts: 202
Okay, here is a better question, is there anyone out there with a device running iOS 3.x who would be willing to help me out by briefly testing out this update?

The problem, is I released the game with 3.0 as the minimum, but I no longer have any devices running 3.0
05-19-2012, 06:04 AM
Joined: Apr 2012
Posts: 115
You can try to find an older device (namely iPhone 3G or such) on ebay and see if someone has not updated there OS (maybe look for jailbreak phones, which are hard to update).
I did pretty much the same thing for testing on 3.1.3.
05-19-2012, 07:02 AM
Joined: May 2010
Location: Lincoln, UK
Posts: 344
I have a second-hand iPod Touch 1st generation for that purpose. They are quite cheap now.